Skip to content

Get Flight

GET
/nests/{nestId}/birds/{birdId}/flights/{flightId}

Get details of a specific Flight, including error messages when available. This is especially important for applications that need to diagnose failed or cancelled Flights.

Authorizations

Parameters

Path Parameters

nestId
required
string

The ID of the Nest that contains the Bird.

birdId
required
string

The ID of the Bird whose Flight is being retrieved.

flightId
required
string

The ID of the Flight.

Responses

200

The requested Flight.

object
id
string
birdId
string
nestId
string
status
string
Allowed values: succeeded failed cancelled active
errorMessages

Error details for the Flight when available. This field is especially useful for applications that need to diagnose failed or cancelled Flights.

string
nullable
startDate
string format: date-time
duration
integer format: int32

404

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties

500

Server Error